lecms-恒哥博客

PHP--【libevent扩展安装】

发布时间:3年前 热度: 848 ℃ 评论数: 1

libevent扩展不支持php7

libevent扩展不支持php7

libevent扩展不支持php7  重要的事说三遍!我就是入了这个坑!


安装event扩展

CentOS

1、安装event扩展依赖的libevent-devel包,命令行运行

yum install libevent-devel -y


2、安装event扩展,命令行运行

(event扩展要求PHP>=5.4,PHP5.3用户请安装libevent扩展)

pecl install event


注意提示:Include libevent OpenSSL support [yes] : 时输入no回车,其它直接敲回车就行

如果安装失败请跳过以下步骤,尝试安装libevent扩展

3、命令行运行(如果ini文件位置不对,可以通过运行php --ini找到实际加载的ini文件路径)

echo extension=event.so > /etc/php.d/event.ini


debian/ubuntu系统安装

1、安装event扩展依赖的libevent-dev包,命令行运行

 apt-get install libevent-dev -y


2、安装event扩展,命令行运行

(注意:event扩展要求PHP>=5.4,PHP5.3用户请安装libevent扩展)

pecl install event


注意提示:Include libevent OpenSSL support [yes] : 时输入no回车,其它直接敲回车就行

如果安装失败请跳过以下步骤,尝试安装libevent扩展

3、命令行运行(需要切换到root用户。如果ini文件位置不对,可以通过运行php --ini找到实际加载的ini文件路径)

echo extension=event.so > /etc/php5/cli/conf.d/event.ini


安装libevnet扩展

centos系统

yum install libevent-devel
pecl install channel://pecl.php.net/libevent-0.1.0 //提示libevent installation [autodetect]: 时按回车
echo extension=libevent.so > /etc/php.d/libevent.ini


debian/ubuntu系统

apt-get install libevent-dev
pecl install channel://pecl.php.net/libevent-0.1.0 //提示libevent installation [autodetect]: 时按回车
echo extension=libevent.so > /etc/php5/cli/conf.d/libevent.ini


原文来源:http://doc3.workerman.net/install/install.htmll

扩展、安装、php、libevent扩展

吐槽一下
  • 消灭零回复

手机扫码访问